//
//  MCLMegacoolConfig.h
//
//  An online version of the documentation can be found at https://docs.megacool.co
//
//  Do you feel like this reading docs? (╯°□°）╯︵ ┻━┻  Give us a shout if there's anything that's
//  unclear and we'll try to brighten the experience. We can sadly not replace flipped tables.
//

#import <Foundation/Foundation.h>

#import "MCLDelegate.h"

NS_ASSUME_NONNULL_BEGIN

@interface MCLMegacoolConfig : NSObject

/**
 If wrapping Megacool from a different tool, like a game engine or your custom layer, set a name
 for this wrapper and a version. This helps us track down bugs by seeing behavioral differences
 between versions.

 @param wrapper the name of the wrapper, like `@"Unity"` or `@"ACMECorpEngine"`.
 @param version the version of the wrapper, like `@"1.0"` or `@"2.3-rc4"`.
 */
-(void)setWrapper:(NSString *)wrapper version:(NSString *)version;


/**
 The delegate that should receive callbacks for different events in the SDK.
 */
@property(nonatomic, weak, nullable) id<MCLDelegate> delegate;

@end

NS_ASSUME_NONNULL_END
